<!DOCTYPE HTML>
<html lang="es">
<head>
<!-- Generated by javadoc (20) on Thu Apr 27 09:20:17 CEST 2023 -->
<title>F-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-04-27">
<meta name="description" content="index: F">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:F">F</h2>
<dl class="index">
<dt><a href="../com/eoi/springwebsecurity/filemanagement/controllers/FileController.html" class="type-name-link" title="class in com.eoi.springwebsecurity.filemanagement.controllers">FileController</a> - Class in <a href="../com/eoi/springwebsecurity/filemanagement/controllers/package-summary.html">com.eoi.springwebsecurity.filemanagement.controllers</a></dt>
<dd>
<div class="block">Controlador encargado de manejar la carga de archivos.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/controllers/FileController.html#%3Cinit%3E(com.eoi.springwebsecurity.filemanagement.services.FileSystemStorageService)" class="member-name-link">FileController(FileSystemStorageService)</a> - Constructor for class com.eoi.springwebsecurity.filemanagement.controllers.<a href="../com/eoi/springwebsecurity/filemanagement/controllers/FileController.html" title="class in com.eoi.springwebsecurity.filemanagement.controllers">FileController</a></dt>
<dd>
<div class="block">Constructor de la clase que recibe el servicio de almacenamiento de archivos como parámetro.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/entities/FileDB.html" class="type-name-link" title="class in com.eoi.springwebsecurity.filemanagement.entities">FileDB</a> - Class in <a href="../com/eoi/springwebsecurity/filemanagement/entities/package-summary.html">com.eoi.springwebsecurity.filemanagement.entities</a></dt>
<dd>
<div class="block">Clase que representa un archivo en la base de datos.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/entities/FileDB.html#%3Cinit%3E()" class="member-name-link">FileDB()</a> - Constructor for class com.eoi.springwebsecurity.filemanagement.entities.<a href="../com/eoi/springwebsecurity/filemanagement/entities/FileDB.html" title="class in com.eoi.springwebsecurity.filemanagement.entities">FileDB</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/services/DBFileStorageService.html#fileDBRepository" class="member-name-link">fileDBRepository</a> - Variable in class com.eoi.springwebsecurity.filemanagement.services.<a href="../com/eoi/springwebsecurity/filemanagement/services/DBFileStorageService.html" title="class in com.eoi.springwebsecurity.filemanagement.services">DBFileStorageService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/repositories/FileDBRepository.html" class="type-name-link" title="interface in com.eoi.springwebsecurity.filemanagement.repositories">FileDBRepository</a> - Interface in <a href="../com/eoi/springwebsecurity/filemanagement/repositories/package-summary.html">com.eoi.springwebsecurity.filemanagement.repositories</a></dt>
<dd>
<div class="block">The interface File db repository.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/models/FileInfo.html" class="type-name-link" title="class in com.eoi.springwebsecurity.filemanagement.models">FileInfo</a> - Class in <a href="../com/eoi/springwebsecurity/filemanagement/models/package-summary.html">com.eoi.springwebsecurity.filemanagement.models</a></dt>
<dd>
<div class="block">The type File info.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/models/FileInfo.html#%3Cinit%3E()" class="member-name-link">FileInfo()</a> - Constructor for class com.eoi.springwebsecurity.filemanagement.models.<a href="../com/eoi/springwebsecurity/filemanagement/models/FileInfo.html" title="class in com.eoi.springwebsecurity.filemanagement.models">FileInfo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/entities/FileDB.html#fileName" class="member-name-link">fileName</a> - Variable in class com.eoi.springwebsecurity.filemanagement.entities.<a href="../com/eoi/springwebsecurity/filemanagement/entities/FileDB.html" title="class in com.eoi.springwebsecurity.filemanagement.entities">FileDB</a></dt>
<dd>
<div class="block">Nombre del archivo.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/models/FileInfo.html#fileName" class="member-name-link">fileName</a> - Variable in class com.eoi.springwebsecurity.filemanagement.models.<a href="../com/eoi/springwebsecurity/filemanagement/models/FileInfo.html" title="class in com.eoi.springwebsecurity.filemanagement.models">FileInfo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/SpringWebSecurityApplication.html#fileSystemStorageService" class="member-name-link">fileSystemStorageService</a> - Variable in class com.eoi.springwebsecurity.<a href="../com/eoi/springwebsecurity/SpringWebSecurityApplication.html" title="class in com.eoi.springwebsecurity">SpringWebSecurityApplication</a></dt>
<dd>
<div class="block">The File system storage service.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/streaming/controller/VideoListController.html#fileSystemStorageService" class="member-name-link">fileSystemStorageService</a> - Variable in class com.eoi.springwebsecurity.streaming.controller.<a href="../com/eoi/springwebsecurity/streaming/controller/VideoListController.html" title="class in com.eoi.springwebsecurity.streaming.controller">VideoListController</a></dt>
<dd>
<div class="block">The File system storage service.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/streaming/services/StreamingServiceImpl.html#fileSystemStorageService" class="member-name-link">fileSystemStorageService</a> - Variable in class com.eoi.springwebsecurity.streaming.services.<a href="../com/eoi/springwebsecurity/streaming/services/StreamingServiceImpl.html" title="class in com.eoi.springwebsecurity.streaming.services">StreamingServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageService.html" class="type-name-link" title="interface in com.eoi.springwebsecurity.filemanagement.services">FileSystemStorageService</a> - Interface in <a href="../com/eoi/springwebsecurity/filemanagement/services/package-summary.html">com.eoi.springwebsecurity.filemanagement.services</a></dt>
<dd>
<div class="block">Interfaz que define los métodos para la gestión de archivos.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageServiceImpl.html" class="type-name-link" title="class in com.eoi.springwebsecurity.filemanagement.services">FileSystemStorageServiceImpl</a> - Class in <a href="../com/eoi/springwebsecurity/filemanagement/services/package-summary.html">com.eoi.springwebsecurity.filemanagement.services</a></dt>
<dd>
<div class="block">Clase que implementa la interfaz StorageService y proporciona métodos para la gestión de archivos en un directorio de almacenamiento.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageServiceImpl.html#%3Cinit%3E()" class="member-name-link">FileSystemStorageServiceImpl()</a> - Constructor for class com.eoi.springwebsecurity.filemanagement.services.<a href="../com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageServiceImpl.html" title="class in com.eoi.springwebsecurity.filemanagement.services">FileSystemStorageServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/exception/FileUploadExceptionAdvice.html" class="type-name-link" title="class in com.eoi.springwebsecurity.filemanagement.exception">FileUploadExceptionAdvice</a> - Class in <a href="../com/eoi/springwebsecurity/filemanagement/exception/package-summary.html">com.eoi.springwebsecurity.filemanagement.exception</a></dt>
<dd>
<div class="block">Clase que maneja las excepciones generadas durante la carga de archivos.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/exception/FileUploadExceptionAdvice.html#%3Cinit%3E()" class="member-name-link">FileUploadExceptionAdvice()</a> - Constructor for class com.eoi.springwebsecurity.filemanagement.exception.<a href="../com/eoi/springwebsecurity/filemanagement/exception/FileUploadExceptionAdvice.html" title="class in com.eoi.springwebsecurity.filemanagement.exception">FileUploadExceptionAdvice</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/security/config/SecurityConfig.html#filterChain(org.springframework.security.config.annotation.web.builders.HttpSecurity)" class="member-name-link">filterChain(HttpSecurity)</a> - Method in class com.eoi.springwebsecurity.security.config.<a href="../com/eoi/springwebsecurity/security/config/SecurityConfig.html" title="class in com.eoi.springwebsecurity.security.config">SecurityConfig</a></dt>
<dd>
<div class="block">Método que configura el SecurityFilterChain para el manejo de las peticiones HTTP.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserService.html#findAllUsers()" class="member-name-link">findAllUsers()</a> - Method in interface com.eoi.springwebsecurity.security.service.<a href="../com/eoi/springwebsecurity/security/service/UserService.html" title="interface in com.eoi.springwebsecurity.security.service">UserService</a></dt>
<dd>
<div class="block">Find all users list.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserServiceImpl.html#findAllUsers()" class="member-name-link">findAllUsers()</a> - Method in class com.eoi.springwebsecurity.security.service.<a href="../com/eoi/springwebsecurity/security/service/UserServiceImpl.html" title="class in com.eoi.springwebsecurity.security.service">UserServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/repositories/UserRepository.html#findByEmail(java.lang.String)" class="member-name-link">findByEmail(String)</a> - Method in interface com.eoi.springwebsecurity.coreapp.repositories.<a href="../com/eoi/springwebsecurity/coreapp/repositories/UserRepository.html" title="interface in com.eoi.springwebsecurity.coreapp.repositories">UserRepository</a></dt>
<dd>
<div class="block">Find by email user.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/repositories/RoleRepository.html#findByName(java.lang.String)" class="member-name-link">findByName(String)</a> - Method in interface com.eoi.springwebsecurity.coreapp.repositories.<a href="../com/eoi/springwebsecurity/coreapp/repositories/RoleRepository.html" title="interface in com.eoi.springwebsecurity.coreapp.repositories">RoleRepository</a></dt>
<dd>
<div class="block">Find by name role.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/repositories/UserRepository.html#findByResetPasswordToken(java.lang.String)" class="member-name-link">findByResetPasswordToken(String)</a> - Method in interface com.eoi.springwebsecurity.coreapp.repositories.<a href="../com/eoi/springwebsecurity/coreapp/repositories/UserRepository.html" title="interface in com.eoi.springwebsecurity.coreapp.repositories">UserRepository</a></dt>
<dd>
<div class="block">Find by reset password token user.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserService.html#findUserByEmail(java.lang.String)" class="member-name-link">findUserByEmail(String)</a> - Method in interface com.eoi.springwebsecurity.security.service.<a href="../com/eoi/springwebsecurity/security/service/UserService.html" title="interface in com.eoi.springwebsecurity.security.service">UserService</a></dt>
<dd>
<div class="block">Find user by email user.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserServiceImpl.html#findUserByEmail(java.lang.String)" class="member-name-link">findUserByEmail(String)</a> - Method in class com.eoi.springwebsecurity.security.service.<a href="../com/eoi/springwebsecurity/security/service/UserServiceImpl.html" title="class in com.eoi.springwebsecurity.security.service">UserServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/dto/UserDto.html#firstName" class="member-name-link">firstName</a> - Variable in class com.eoi.springwebsecurity.coreapp.dto.<a href="../com/eoi/springwebsecurity/coreapp/dto/UserDto.html" title="class in com.eoi.springwebsecurity.coreapp.dto">UserDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/security/controllers/ForgotPasswordController.html" class="type-name-link" title="class in com.eoi.springwebsecurity.security.controllers">ForgotPasswordController</a> - Class in <a href="../com/eoi/springwebsecurity/security/controllers/package-summary.html">com.eoi.springwebsecurity.security.controllers</a></dt>
<dd>
<div class="block">The type Forgot password controller.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/controllers/ForgotPasswordController.html#%3Cinit%3E()" class="member-name-link">ForgotPasswordController()</a> - Constructor for class com.eoi.springwebsecurity.security.controllers.<a href="../com/eoi/springwebsecurity/security/controllers/ForgotPasswordController.html" title="class in com.eoi.springwebsecurity.security.controllers">ForgotPasswordController</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
